Subject: bug#46349: 27.1; Spaces are added at wrong places when typing in Sinhala Unicode.

From: Lohan Gunaweera <[email-masked]>
Date: Sun, 7 Feb 2021 06:42:23 +0530

On 2/6/21 10:48 PM, Eli Zaretskii wrote:

> After you enter these characters, if you type "C-h l" (that's the
> letter ell, not the digit one), what does Emacs show in the *Help*
> buffer?

I entered both words, with a space between them and a full-stop at the
end. After full-stop I hit space. This is what it shows in the *Help*
buffer:

 ස			;; org-self-insert-command
 ි			;; org-self-insert-command
 ං			;; org-self-insert-command
 හ			;; org-self-insert-command
 SPC			;; org-self-insert-command
 ල			;; org-self-insert-command
 භ			;; org-self-insert-command
 ා			;; org-self-insert-command
 ෂ			;; org-self-insert-command
 ා			;; org-self-insert-command
 ව			;; org-self-insert-command
 SPC			;; org-self-insert-command
 .			;; org-self-insert-command
 C-h l			;; view-lossage

> I don't have this input method installed, but if I just insert
> manually the codepoints you show, I see no problems with the space
> character insertion.  So it could be a problem with the input method?
> 

I use the same input method with other applications such as gedit,
LibreOffice, Thunderbird, Firefox etc, without this issue.

-- 
Lohan Gunaweera
https://lohangunaweera.art
Signal : +94775903949
PGP fingerprint :
62BB C05D B93D 674B 27C4 BB4E 56E1 D006 1983 A729
Key available at https://lohangunaweera.art/contact/